3 Replies Latest reply: May 27, 2013 2:01 PM by mende1
kaitlin8892 Level 1 (0 points)

I currently have Mac version 10.4.11 but it's not new enough to use iLife '09, if I upgrade my computer to Mountain Lion 10.8.3, will the iLife '09 be compatible with the Mountain Lion 10.8.3?


MacBook, Mac OS X (10.4.11)
  • mende1 Level 10 (92,156 points)

    Welcome to Apple Support Communities

     

    iLife '09 is compatible with Mac OS X Leopard or later, so you can install iLife '09 if you upgrade to Mountain Lion. However, note that not all computers with Tiger are compatible with OS X Mountain Lion. Read > http://www.apple.com/osx/specs

     

    If you can't upgrade to Mountain Lion, upgrade to Snow Leopard > http://store.apple.com/us/product/MC573/mac-os-x-106-snow-leopard Make a backup before upgrading. After upgrading, open  > Software Update, and install 10.6.8.

     

    Note that Snow Leopard is compatible with iLife '11, so if you want, you can install a newer version. You can get iLife '11 for Mac OS X Snow Leopard at Amazon or eBay

  • kaitlin8892 Level 1 (0 points)

    Which would you recommend? Is Mac OS X Leopard newer? More efficient? And do I have to have the CD shipped to me or is there a way to buy and download it right from the computer?

  • mende1 Level 10 (92,156 points)

    If you want to upgrade to Mountain Lion, you have to upgrade to Snow Leopard first, so upgrade to Snow Leopard. It's cheap and it works better than Leopard. You have to order the DVD and install it from the DVD